werewolf-1.5.1.1: A game engine for playing werewolf within an arbitrary chat client

Copyright | (c) Henry J. Wylde 2016
License | BSD3
Maintainer | public@hjwylde.com
Safe Haskell | Safe
Language | Haskell2010

Data.String.Humanise

Contents

- Humanise

Description

Humanise type class for displaying data structures to a human.

Synopsis

- class Humanise a where

# Humanise

class Humanise a where Source #

Minimal complete definition

humanise

Methods

humanise :: a -> Text Source #

Instances

Humanise Text Source # |
Methods humanise :: Text -> Text Source #
Humanise Activity Source # |
Methods humanise :: Activity -> Text Source #
Humanise Allegiance Source # |
Methods humanise :: Allegiance -> Text Source #
Humanise Role Source # |
Methods humanise :: Role -> Text Source #
Humanise Variant Source # |
Methods humanise :: Variant -> Text Source #
Humanise Player Source # |
Methods humanise :: Player -> Text Source #
Humanise Stage Source # |
Methods humanise :: Stage -> Text Source #
Humanise a => Humanise [a] Source # |
Methods humanise :: [a] -> Text Source #